/**
 * 返回对象类型
 * @param obj {any} 判断对象
 * @returns {String} 类型
 */
export declare const getType: (obj: any) => string;
/**
 * 返回整理过的净值数值
 * @param value {String | Number | null } 原始数据
 * @param [isPer] {Boolean} 是否添加百分号
 * @param [isFixed] {Boolean} 是否将0转为0.00
 * @returns {String}
 */
export declare const initPercent: (value: string | number | null, isPer?: boolean, isFixed?: boolean) => string;
/**
 * 判断对象是否为空，或者基础类型转换boolean为false，对lodash做了基础类型判断
 * @param params {String | Object | Number | Null | Boolean}
 */
export declare const isEmpty: (params: any) => boolean;
/**
 * 根据rem返回当前分辨率的真实px
 * @param rem {Number} 要返回的rem
 * @returns {Number} 当前px
 */
export declare const rem2px: (rem: number) => number;
/**
 * 格式化时间
 * @param date {String | Date} 时间对象或时间戳
 * @param formatter {String} 时间格式 'yyyy-MM-dd hh:mm:ss'
 */
export declare const dateFormatter: (date: string | Date, formatter: string) => string;
export declare const dateArea: (type: string) => string[];
//# sourceMappingURL=util.d.ts.map